#ifndef MATH_VECTOR
#define MATH_VECTOR

typedef struct Vector3f Vector3f;
struct Vector3f
{
	float x, y, z;
};

Vector3f Vector_New3f(float x, float y, float z);
float Vector_Dot3f(float x1, float y1, float z1, float x2, float y2, float z2);
float Vector_Dot3v(const Vector3f *v1, const Vector3f *v2);
Vector3f Vector_Cross3f(float x1, float y1, float z1, float x2, float y2, float z2);
Vector3f Vector_Cross3v(const Vector3f *v1, const Vector3f *v2);
Vector3f Vector_Add3v(const Vector3f *v1, const Vector3f *v2);
Vector3f Vector_Sub3v(const Vector3f *v1, const Vector3f *v2);
float Vector_Norm3f(float x, float y, float z);
float Vector_Norm3v(const Vector3f *v);
Vector3f Vector_Normalize3f(float x, float y, float z);
Vector3f Vector_Normalize3v(const Vector3f *v);

#endif